import unittest
from formats.jpeg_format import is_valid


class TestJpegFormat(unittest.TestCase):
    def test_is_valid__valid(self):
        resource = {}
        with open("tests/data/image.jpeg", "r") as file:
            self.assertTrue(is_valid(resource, file))

    def test_is_valid__invalid(self):
        resource = {}
        with open("tests/data/image.png", "r") as file:
            self.assertFalse(is_valid(resource, file))


if __name__ == "__main__":
    unittest.main()
